package org.dromara.zhishu.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.zhishu.domain.bo.TShelvesBo;
import org.dromara.zhishu.domain.vo.TShelvesVo;

import java.util.Collection;
import java.util.List;

/**
 * 货架信息Service接口
 *
 * @author Lion Li
 * @date 2025-03-26
 */
public interface ITShelvesService {

    /**
     * 查询货架信息
     *
     * @param id 主键
     * @return 货架信息
     */
    TShelvesVo queryById(Long id);

    /**
     *
     */
    TShelvesVo queryFoundId(Long depotId, String code);

    /**
     * 分页查询货架信息列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 货架信息分页列表
     */
    TableDataInfo<TShelvesVo> queryPageList(TShelvesBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的货架信息列表
     *
     * @param bo 查询条件
     * @return 货架信息列表
     */
    List<TShelvesVo> queryList(TShelvesBo bo);

    /**
     * 新增货架信息
     *
     * @param bo 货架信息
     * @return 是否新增成功
     */
    Boolean insertByBo(TShelvesBo bo);

    /**
     * 修改货架信息
     *
     * @param bo 货架信息
     * @return 是否修改成功
     */
    Boolean updateByBo(TShelvesBo bo);

    /**
     * 校验并批量删除货架信息信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid,Long LocalUserId);

    List<TShelvesVo> queryList1();

    List<TShelvesVo> selectShelvesIdByDepotIdAndCode(String depotId, String code);

    List<TShelvesVo> selectShelvesByDepotId(String depotId);
}
